datacenter = "dc1"
data_dir = "/opt/nomad/data"
plugin_dir = "/opt/nomad/plugins"
log_level = "INFO"

bind_addr = "100.117.106.136"

addresses {
  http = "100.117.106.136"
  rpc  = "100.117.106.136"
  serf = "100.117.106.136"
}

ports {
  http = 4646
  rpc  = 4647
  serf = 4648
}

server {
  enabled = false
}

client {
  enabled = true
  network_interface = "tailscale0"
  
  servers = [
    "100.116.158.95:4647",  # semaphore
    "100.103.147.94:4647", # ash2e
    "100.81.26.3:4647",    # ash1d
    "100.90.159.68:4647"   # ch2
  ]
}

plugin "nomad-driver-podman" {
  config {
    socket_path = "unix:///run/podman/podman.sock"
    volumes {
      enabled = true
    }
  }
}

consul {
  address = "100.117.106.136:8500"
}